import * as $dara from '@darabonba/typescript';
import { DeletePortRangeListResponseBody } from "./DeletePortRangeListResponseBody";
export declare class DeletePortRangeListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeletePortRangeListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
